define bi_cron::interval (
  $filename = $title,
  $interval = 'daily',
  $content = undef,
) {
    require bi_cron
    
    if $filename == undef or !is_string($filename) { 
        fail("'filename' must be defined") 
    }
    
    if $interval == undef or !is_string($interval) { 
        fail("'interval' must be defined") 
    }
    
    if $content == undef or !is_string($content) { 
        fail("'content' must be defined") 
    }
  
    $intervals = merge({
        'daily' => 'absent',
        'hourly' => 'absent',
        'weekly' => 'absent',
        'monthly' => 'absent',
    }, {
        "$interval" => 'present',
    })
    
    file { "/etc/cron.hourly/$filename":
        ensure => $intervals['hourly'],
        owner => 'root',
        group => 'root',
        mode => '755',
        content => "${content}",
    }
  
    file { "/etc/cron.daily/$filename":
        ensure => $intervals['daily'],
        owner => 'root',
        group => 'root',
        mode => '755',
        content => "${content}",
    }
  
    file { "/etc/cron.weekly/$filename":
        ensure => $intervals['weekly'],
        owner => 'root',
        group => 'root',
        mode => '755',
        content => "${content}",
    }
  
    file { "/etc/cron.monthly/$filename":
        ensure => $intervals['monthly'],
        owner => 'root',
        group => 'root',
        mode => '755',
        content => "${content}",
    }
}